/***********************************************************************************************************
	GENERAL
***********************************************************************************************************/
.chassis_application_pane {
	background-color: white;
	font-family: Verdana, Helvetica;
	font-size:	11px;
	/* Structural */
	width: 900px;
	margin: 0 auto 0 auto ;
	padding: 0;
}

.chassis_application_pane a {
	text-decoration: none;
	padding-top: 0.1em;
	padding-bottom: 0.1em;
}

.chassis_application_pane a:hover {
	text-decoration: underline;
}

.chassis_pdf_link {
	background-repeat: no-repeat;
	background-image: url("../../images/icon_acrobat.gif");
	background-position: left center;
	padding-left: 19px;
}

.chassis_retrieve_link {
	background-repeat: no-repeat;
	background-image: url("../../images/icon_retrieve.gif");
	background-position: left center;
	padding-left: 19px;
}

.chassis_warning_text {
	color: #FF0000;
}

.chassis_delete {
	background-repeat: no-repeat;
	background-image: url("../../images/icon_delete.gif");
	background-position: center center;
}

/* Info (javascript) message panel support */
.chassis_info_message {
	background-color: #E0EBF6;
	border: 1px solid darkblue;
	width: 344px;
	position: absolute;
	
	padding: 0.5em;	
	font-size: 100%;
	font-weight: normal;
}

.chassis_warning_message_container {
	background-color: #E0EBF6;
	color: #0033FF;
	margin: 0;
	padding: 10px 10px 10px 70px;
	background-repeat: no-repeat;
	background-image: url("../../images/icon_important_message.png");
	background-position: 10px center;
}

.chassis_warning_message_container ul {
	padding: 0px;
	margin: 0px;
}

.chassis_warning_message_container li {
	padding-top: 0.25em;	
	padding-bottom: 0.25em;	
	padding-left: 0px;
	padding-right: 0px;
	
	list-style-type: none;
}


.chassis_error_message_container {
	background-color: #FBD99D; 
	color: #003399;
	margin: 0;
	padding: 10px 10px 10px 70px;
	background-repeat: no-repeat;
	background-image: url("../../images/icon_error.png");
	background-position: 10px center;
}


.chassis_error_message_container ul {
	padding: 0px;
	margin: 0px;
	margin-left: 12px;
}

.chassis_error_message_container li {
	padding-top: 0.25em;	
	padding-bottom: 0.25em;	
	padding-left: 0px;
	padding-right: 0px;
	
	list-style-type: bullet;
}

/* Common data element support */

.chassis_numeric,
.chassis_currency,
.chassis_monetary_amount {
	text-align: right;
}

.chassis_monetary_amount {
	width: 110px;
}

.chassis_currency_symbol {
	width: 27px;
}

.chassis_info_text {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	
}


.chassis_dialog {
	background-color: #E0EBF6;
}

.chassis_date_input_field {
	width: 80px;
}

.chassis_short_date {
	width: 70px;
}

.chassis_application_pane button,
.chassis_application_pane input.button {
	background-image: url("../../images/button_background.PNG");
	background-repeat: repeat-x;
	border-style: none;
	color: #DDDDDD;
	border: 1px solid #DDDDDD;
}


/***********************************************************************************************************
 	HEADER
***********************************************************************************************************/
.chassis_application_summary_section {
	float: left;
	width: 700px;
}

.chassis_application_context_section {
	float: right;
	width: 170px;
}

.chassis_application_header h1 {
	color: #003399;
	border-bottom: 1px solid #C3CCDD;
	font-size: 12px;
	font-weight: normal;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	margin-top: 0;
	margin-bottom: 1px;
}

.chassis_application_header table label {
	color: #666666;	
	padding-right: 0.3em;
}

.chassis_application_header td {
	padding-left: 10px;
	vertical-align: top;
	padding-top: 0.45em;	
}

.chassis_application_header ul {
	padding: 0px;
	margin: 0;
}

.chassis_application_header li {
	padding-left: 0px;
	margin: 0;
	vertical-align: top;
	padding-top: 0.6em;	
	padding-bottom: 0.25em;	
	
	color: #003399;
	list-style-type: none;
}


.chassis_application_summary_section td {
	width: 220px;
}

.chassis_application_context_section ul,
.chassis_application_summary_section table {
	margin-bottom: 5px;
}

/** Body of the page */

.chassis_application_body .chassis_numeric,
.chassis_application_body .chassis_currency,
.chassis_application_body .chassis_monetary_amount {
	text-align: right;
}

/** Navigation */
.chassis_application_navigation {
	background-color: #8899BB;
	clear: both;	
	padding-top: 6px;
	padding-bottom: 6px;
	margin-bottom: 0px;
}


.chassis_application_navigation ul {
	margin: 0;
	padding: 0;
}

.chassis_application_navigation li {
	display: inline;
	padding: 6px 13px;
	border-right: 1px solid #DDDDDD;
	margin-right: -4px
}

.chassis_application_navigation a {
	color: #FFFFFF;
}


#chassis_application_navigation_current_item {
	background-color: #DDDDDD;
}

.chassis_application_body {
	background-color: #F5F5F5;
	clear: both;
}

.chassis_application_body h2 {
	font-weight: bold;
	padding: 0.5em 10px;
	margin: 0;
	font-size: 100%;
}

/***********************************************************************************************************
	Display grid
***********************************************************************************************************/

.chassis_application_body table {
	width: 100%;
	border-collapse: collapse;
}


.chassis_application_body table thead {
	background-color: #DDDDDD;
}

.chassis_application_body table th,
.chassis_application_body table td {
	text-align: left;
	padding: 0.5em 2px;
	vertical-align: top;
}

.chassis_application_body table tbody td, 
.chassis_application_body table tbody th {
	border-bottom: 1px solid #DDDDDD;
}

.chassis_application_body table .contrast {
	background-color: white;
}

.chassis_application_body th.first-child,
.chassis_application_body td.first-child,
.chassis_application_body th:first-child,
.chassis_application_body td:first-child {
	padding-left: 10px;
}

.chassis_application_body th.last-child,
.chassis_application_body td.last-child,
.chassis_application_body th:last-child,
.chassis_application_body td:last-child {
	padding-right: 10px;
}


.chassis_application_body table {
	border-top: 1px solid #DDDDDD;
	vertical-align: top;
}


.chassis_application_body table tfoot td {
	border-bottom: 2px solid #DDDDDD;
	border-top: 2px solid #DDDDDD;
}

.chassis_info_not_available  {
	color: #999999;
	background-color: #F5F5F5;
}


.chassis_two_column_list th.first-child,
.chassis_two_column_list td.first-child,
.chassis_two_column_list th:first-child,
.chassis_two_column_list td:first-child {
	width: 210px;
}

.chassis_two_column_list p {
	margin-top: 0px;
}

.chassis_three_column_list td {
	padding: 0.5em 10px;
}

/* info "tooltip" support */
.chassis_two_column_list .chassis_info_icon {
	background-image: url("../../images/icon_information.png");
	background-repeat: no-repeat;
	background-position: 190px 0.5em;
}

.chassis_two_column_list .chassis_info_icon .chassis_info_message {
	margin-left: 40px;
	margin-top: 15px;
}
/* This is a hack to make IE7 display the info message in the right place. If there is a better way to do it, please fix it */
*:first-child+html  .chassis_two_column_list .chassis_info_icon .chassis_info_message{
	margin-left: 35px;
	margin-top: 19px;
}
html>body .chassis_two_column_list .chassis_info_icon .chassis_info_message {
	margin-left: 192px;
	margin-top: 1px;
}

.chassis_three_column_list th.first-child,
.chassis_three_column_list td.first-child,
.chassis_three_column_list th:first-child,
.chassis_three_column_list td:first-child {
	width: 210px;
}

.chassis_three_column_list th.last-child,
.chassis_three_column_list td.last-child,
.chassis_three_column_list th:last-child,
.chassis_three_column_list td:last-child {
	width: 315px;
}
